# List of online stores (deprecated)

This endpoint is deprecated. 
Use the sales channels endpoint (/api/sales-channels) instead.

List of online stores.

Endpoint: GET /api/online-stores
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Header parameters:

  - `Content-Type` (string, required)

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.onlineStores` (array, required)

  - `data.onlineStores.id` (integer, required)
    Online store identifier.

  - `data.onlineStores.status` (string, required)
    Online store status
    Enum: "active", "pending"

  - `data.onlineStores.domain` (string)
    Online store domain.

  - `data.onlineStores.timezone` (string, required)
    Timezone of online store.

  - `data.onlineStores.defaultCountry` (object,null)
    Default country of online store.

  - `data.onlineStores.defaultCountry.id` (integer, required)
    Country identifier.

  - `data.onlineStores.defaultCountry.name` (string, required)
    Country name.

  - `data.onlineStores.defaultCountry.code` (string, required)
    Country code.

  - `data.onlineStores.defaultCountry.isoCode` (string)
    Country ISO code.

  - `data.onlineStores.defaultCountry.flagCode` (string)
    Country flag code.

  - `data.onlineStores.defaultCountry.codeAlpha3` (string, required)
    Country alpha-3 code.

  - `data.onlineStores.defaultCountry.currency` (string,null)
    Country currency.

  - `data.onlineStores.defaultCountry.language` (string,null)
    Country language.

  - `data.onlineStores.defaultCountry.regionCount` (integer)
    Region count of country.

  - `data.onlineStores.isPasswordProtected` (boolean, required)
    Whether the online store is protected by password.

  - `data.onlineStores.isPrimary` (boolean, required)
    Whether the online store is primary.

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object, required)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.

## Response 403 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.


